cURL
curl --request POST \ --url https://api.trulayer.ai/v1/search/spans \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "query_vector": [ 123 ], "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "limit": 10, "threshold": 0.7 } '
{ "results": [ { "span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "similarity": 123, "span_name": "<string>", "span_type": "<string>", "created_at": "2023-11-07T05:31:56Z" } ] }
Documentation IndexFetch the complete documentation index at: https://docs.trulayer.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt
Use this file to discover all available pages before exploring further.
SDK API key (tl_...) or Clerk session JWT
tl_...
Float32 array, 1536 dimensions (OpenAI ada-002)
1 <= x <= 100
Cosine similarity threshold
0 <= x <= 1
Search results
Show child attributes